/*
 * $Id:GrayGradientRendererConfigXMLImporterRuntime.java 456 2008-01-05 21:56:57Z andreamedeghini $
 *
 * JAME is a Java real-time multi-thread fractal graphics platform
 * Copyright (C) 2001, 2008 Andrea Medeghini
 * andreamedeghini@users.sf.net
 * http://jame.sourceforge.net
 * http://sourceforge.net/projects/jame
 * http://jame.dev.java.net
 * http://jugbrescia.dev.java.net
 *
 * This file is part of JAME.
 *
 * JAME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JAME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JAME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.sf.jame.mandelbrot.extensions.palette;

import java.util.List;

import net.sf.jame.core.xml.XMLImportException;
import net.sf.jame.core.xml.XMLImporter;
import net.sf.jame.twister.xmlimport.extension.ExtensionConfigXMLImporterExtensionRuntime;

import org.w3c.dom.Element;

/**
 * @author Andrea Medeghini
 */
public class GrayGradientRendererConfigXMLImporterRuntime extends ExtensionConfigXMLImporterExtensionRuntime {
	/**
	 * @see net.sf.jame.twister.xmlimport.extension.ExtensionConfigXMLImporterExtensionRuntime#createXMLImporter()
	 */
	@Override
	public XMLImporter<GrayGradientRendererConfig> createXMLImporter() {
		return new GrayGradientRendererConfigXMLImporter();
	}

	private class GrayGradientRendererConfigXMLImporter extends AbstractPaletteRendererConfigXMLImporter<GrayGradientRendererConfig> {
		/**
		 * @see net.sf.jame.mandelbrot.extensions.palette.AbstractPaletteRendererConfigXMLImporter#createExtensionConfig()
		 */
		@Override
		protected GrayGradientRendererConfig createExtensionConfig() {
			return new GrayGradientRendererConfig();
		}

		/**
		 * @see net.sf.jame.mandelbrot.extensions.palette.AbstractPaletteRendererConfigXMLImporter#getConfigElementClassId()
		 */
		@Override
		protected String getConfigElementClassId() {
			return "GrayGradientRendererConfig";
		}

		/**
		 * @see net.sf.jame.mandelbrot.extensions.palette.AbstractPaletteRendererConfigXMLImporter#getPropertiesSize()
		 */
		@Override
		protected int getPropertiesSize() {
			return 0;
		}

		/**
		 * @see net.sf.jame.mandelbrot.extensions.palette.AbstractPaletteRendererConfigXMLImporter#importProperties(net.sf.jame.mandelbrot.palette.extension.PaletteRendererExtensionConfig, java.util.List)
		 */
		@Override
		protected void importProperties(final GrayGradientRendererConfig config, final List<Element> propertyElements) throws XMLImportException {
		}
	}
}
