/*
 * $Id:DistributedJobInterface.java 491 2008-01-28 21:59:31Z andreamedeghini $
 *
 * JAME is a Java real-time multi-thread fractal graphics platform
 * Copyright (C) 2001, 2008 Andrea Medeghini
 * andreamedeghini@users.sf.net
 * http://jame.sourceforge.net
 * http://sourceforge.net/projects/jame
 * http://jame.dev.java.net
 * http://jugbrescia.dev.java.net
 *
 * This file is part of JAME.
 *
 * JAME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JAME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JAME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.sf.jame.service.spool;

import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;

import net.sf.jame.service.job.RenderJob;
import net.sf.jame.twister.TwisterClip;

/**
 * @author Andrea Medeghini
 */
public interface DistributedJobInterface extends JobInterface {
	/**
	 * @param jobData
	 */
	public void setJobData(byte[] jobData);

	/**
	 * @return
	 */
	public byte[] getJobData();

	/**
	 * @param job
	 */
	public void setJob(RenderJob job);

	/**
	 * @return
	 */
	public RenderJob getJob();

	/**
	 * @param job
	 */
	public void setClip(TwisterClip clip);

	/**
	 * @return
	 */
	public TwisterClip getClip();

	/**
	 * @return
	 * @throws IOException
	 */
	public InputStream getStream() throws IOException;

	/**
	 * @return
	 * @throws IOException
	 */
	public RandomAccessFile getRAF() throws IOException;

	/**
	 * @param frameNumber
	 */
	public void setFrameNumber(int frameNumber);

	/**
	 * @param frameNumber
	 */
	public void setFirstFrameNumber(int frameNumber);

	/**
	 * @return
	 */
	public int getFirstFrameNumber();
}
