/*
 * $Id:DistributedJobFactory.java 491 2008-01-28 21:59:31Z andreamedeghini $
 *
 * JAME is a Java real-time multi-thread fractal graphics platform
 * Copyright (C) 2001, 2008 Andrea Medeghini
 * andreamedeghini@users.sf.net
 * http://jame.sourceforge.net
 * http://sourceforge.net/projects/jame
 * http://jame.dev.java.net
 * http://jugbrescia.dev.java.net
 *
 * This file is part of JAME.
 *
 * JAME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JAME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JAME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.sf.jame.service.spool.impl;

import java.io.File;

import net.sf.jame.service.spool.JobFactory;
import net.sf.jame.service.spool.JobListener;

/**
 * @author Andrea Medeghini
 */
public class DistributedJobFactory implements JobFactory<DistributedJob> {
	private final File tmpDir;

	/**
	 * @param tmpDir
	 */
	public DistributedJobFactory(final File tmpDir) {
		this.tmpDir = tmpDir;
	}

	/**
	 * @see net.sf.jame.service.spool.JobFactory#createJob(java.lang.String, net.sf.jame.service.spool.JobListener)
	 */
	public DistributedJob createJob(final String jobId, final JobListener listener) {
		return new DistributedJob(tmpDir, jobId, listener);
	}
}
