/*
 * $Id:ServiceAdapter.java 456 2008-01-05 21:56:57Z andreamedeghini $
 *
 * JAME is a Java real-time multi-thread fractal graphics platform
 * Copyright (C) 2001, 2008 Andrea Medeghini
 * andreamedeghini@users.sf.net
 * http://jame.sourceforge.net
 * http://sourceforge.net/projects/jame
 * http://jame.dev.java.net
 * http://jugbrescia.dev.java.net
 *
 * This file is part of JAME.
 *
 * JAME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JAME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JAME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.sf.jame.service.swing;

import net.sf.jame.service.ServiceListener;
import net.sf.jame.service.clip.MovieClipDataRow;
import net.sf.jame.service.job.RenderJobDataRow;
import net.sf.jame.service.profile.RenderProfileDataRow;

/**
 * @author Andrea Medeghini
 */
public class ServiceAdapter implements ServiceListener {
	/**
	 * @see net.sf.jame.service.ServiceListener#clipCreated(net.sf.jame.service.clip.MovieClipDataRow)
	 */
	public void clipCreated(final MovieClipDataRow clip) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#clipDeleted(net.sf.jame.service.clip.MovieClipDataRow)
	 */
	public void clipDeleted(final MovieClipDataRow clip) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#clipUpdated(net.sf.jame.service.clip.MovieClipDataRow)
	 */
	public void clipUpdated(final MovieClipDataRow clip) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#profileCreated(net.sf.jame.service.profile.RenderProfileDataRow)
	 */
	public void profileCreated(final RenderProfileDataRow profile) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#profileDeleted(net.sf.jame.service.profile.RenderProfileDataRow)
	 */
	public void profileDeleted(final RenderProfileDataRow profile) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#profileUpdated(net.sf.jame.service.profile.RenderProfileDataRow)
	 */
	public void profileUpdated(final RenderProfileDataRow profile) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobCreated(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobCreated(final RenderJobDataRow job) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobDeleted(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobDeleted(final RenderJobDataRow job) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobStarted(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobStarted(final RenderJobDataRow job) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobAborted(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobAborted(final RenderJobDataRow job) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobStopped(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobStopped(final RenderJobDataRow job) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobUpdated(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobUpdated(final RenderJobDataRow job) {
	}

	/**
	 * @see net.sf.jame.service.ServiceListener#jobResumed(net.sf.jame.service.job.RenderJobDataRow)
	 */
	public void jobResumed(final RenderJobDataRow job) {
	}
}
