/*
 * $Id:ActionXMLExporterExtensionRegistry.java 456 2008-01-05 21:56:57Z andreamedeghini $
 *
 * JAME is a Java real-time multi-thread fractal graphics platform
 * Copyright (C) 2001, 2008 Andrea Medeghini
 * andreamedeghini@users.sf.net
 * http://jame.sourceforge.net
 * http://sourceforge.net/projects/jame
 * http://jame.dev.java.net
 * http://jugbrescia.dev.java.net
 *
 * This file is part of JAME.
 *
 * JAME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JAME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JAME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.sf.jame.twister.xmlexport.extension;

import net.sf.jame.core.extension.osgi.OSGiExtensionBuilder;
import net.sf.jame.core.extension.osgi.OSGiExtensionRegistry;

/**
 * @author Andrea Medeghini
 */
public class ActionXMLExporterExtensionRegistry extends OSGiExtensionRegistry<ActionXMLExporterExtensionRuntime> {
	/**
	 * the extension point name.
	 */
	public static final String EXTENSION_POINT_NAME = "net.sf.jame.twister.extensions";
	/**
	 * the configuration element name.
	 */
	public static final String CONFIGURATION_ELEMENT_NAME = "actionXMLExporter";

	/**
	 * Constructs a new registry.
	 */
	public ActionXMLExporterExtensionRegistry() {
		super(ActionXMLExporterExtensionRegistry.EXTENSION_POINT_NAME, new OSGiExtensionBuilder<ActionXMLExporterExtensionRuntime>(ActionXMLExporterExtensionRegistry.CONFIGURATION_ELEMENT_NAME));
	}
}
