/*
 * $Id:LongElementTest.java 456 2008-01-05 21:56:57Z andreamedeghini $
 *
 * JAME is a Java real-time multi-thread fractal graphics platform
 * Copyright (C) 2001, 2008 Andrea Medeghini
 * andreamedeghini@users.sf.net
 * http://jame.sourceforge.net
 * http://sourceforge.net/projects/jame
 * http://jame.dev.java.net
 * http://jugbrescia.dev.java.net
 *
 * This file is part of JAME.
 *
 * JAME is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JAME is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JAME.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.sf.jame.twister.test.common;

import net.sf.jame.core.tree.Node;
import net.sf.jame.test.AbsractValueElementTest;
import net.sf.jame.twister.common.LongElement;
import net.sf.jame.twister.common.LongElementNode;
import net.sf.jame.twister.common.LongElementXMLExporter;
import net.sf.jame.twister.common.LongElementXMLImporter;

import org.junit.Test;

/**
 * @author Andrea Medeghini
 */
public class LongElementTest extends AbsractValueElementTest<Long, LongElement> {
	@Override
	protected Long getFirstValue() {
		return new Long(0);
	}

	@Override
	protected Long getSecondValue() {
		return new Long(1);
	}

	@Override
	protected LongElement createConfigElement(final Long defaultValue) {
		final LongElement configElement = new LongElement(defaultValue);
		return configElement;
	}

	@Override
	protected Node createElementNode() {
		return new LongElementNode("value", getConfigElement()) {
		};
	}

	@Override
	protected LongElementXMLImporter createXMLImporter() {
		return new LongElementXMLImporter();
	}

	@Override
	protected LongElementXMLExporter createXMLExporter() {
		return new LongElementXMLExporter();
	}

	@Override
	@Test
	public void testSetValue() {
		super.testSetValue();
	}

	@Override
	@Test
	public void testNode() {
		super.testNode();
	}

	@Override
	@Test
	public void testClone() {
		super.testClone();
	}

	@Override
	@Test
	public void testSerialization() {
		super.testSerialization();
	}

	@Override
	@Test
	public void testXML() {
		super.testXML();
	}

	@Override
	@Test
	public void testActions() {
		super.testActions();
	}
}
